Bug 738709 - Problem with systemd socket activation: UNIX domain socket disappears
Summary: Problem with systemd socket activation: UNIX domain socket disappears
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 15:35 UTC by Tim Waugh
Modified: 2011-10-19 04:42 UTC (History)
2 users (show)

Fixed In Version: cups-1.5.0-16.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 04:42:21 UTC


Attachments (Terms of Use)

Description Tim Waugh 2011-09-15 15:35:44 UTC
Description of problem:
When restarting the cups.service unit, the /var/run/cups/cups.socket path disappears.  Once this has happened, the only way to retrieve it is:

systemctl stop cups.service
systemctl restart cups.socket
systemctl start cups.service

(restarting cups.service is not sufficient, and restarting cups.socket fails at this point)

Version-Release number of selected component (if applicable):
cups-1.5.0-6.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1.ls /var/run/cups/cups.socket
2.systemctl restart cups.service
3.ls /var/run/cups/cups.socket
  
Actual results:
No such file or directory

Expected results:
No change.

Comment 1 Fedora Update System 2011-09-22 14:23:19 UTC
cups-1.5.0-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cups-1.5.0-9.fc16

Comment 2 Fedora Update System 2011-09-24 20:50:27 UTC
Package cups-1.5.0-9.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-9.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cups-1.5.0-9.fc16
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-09-28 18:52:11 UTC
Package cups-1.5.0-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cups-1.5.0-10.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-04 20:46:11 UTC
Package cups-1.5.0-13.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-13.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cups-1.5.0-13.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-06 21:21:23 UTC
Package cups-1.5.0-14.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-14.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13168
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-10-08 23:34:10 UTC
Package cups-1.5.0-15.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-15.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13168
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-10-12 16:48:47 UTC
Package cups-1.5.0-16.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.0-16.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13168
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-10-19 04:42:21 UTC
cups-1.5.0-16.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.